'use strict';

/* For ESLint: List any global identifiers used in this file below */
/* global rightclickedItem: true */

// Record the last element to be right-clicked, since that information isn't
// passed to the contextmenu click handler that calls top_open_blacklist_ui
if (document.body) {
  document.body.addEventListener('contextmenu', (e) => {
    rightclickedItem = e.target;
  });

  document.body.addEventListener('click', () => {
    rightclickedItem = null;
  });
}
